package com.gree.mall.manager.enums.workorder;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum SettleNormTypeEnum implements BaseEnum {
    INSTALL("INSTALL", "安装"),
    REPAIR("REPAIR", "维修"),
    OTHER("OTHER", "其它"),
    EXAMINE("EXAMINE", "奖罚单"),
    PUNISH("PUNISH","处罚单")
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
